import React from 'react';
interface IEditor {
    refEditor?: any;
    value?: any;
    onChange?: (value: string) => void;
    onSave?: (value: string) => void;
    onClose?: () => void;
    onExit?: () => void;
    minimap?: boolean;
    lineNumbers?: boolean;
    defaultLanguage?: string;
    fillSize?: boolean;
    onMount?: (editor: any, monaco: any) => any;
    children?: any;
    [key: string]: any;
}
export declare const Editor: React.NamedExoticComponent<IEditor>;
export {};
